Skip to content

Update Beat Sheet

PUT
/api/creative/plot/beat-sheets/{template_id}

Update a custom beat sheet template (built-in templates are immutable).

template_id
required
Template Id
string
BeatSheetUpdateRequest

Update a custom beat sheet template.

object
name
Any of:
string
>= 1 characters <= 200 characters
description
Any of:
string
source
Any of:
string
beats
Any of:
Array<object>
BeatCreateRequest

A single beat within a BeatSheetCreateRequest.

object
name
required
Name

Beat name

string
>= 1 characters <= 200 characters
description
Description

Beat description

string
""
targetPercent
required
Targetpercent

Target position %

number
<= 100
act
Any of:
integer

Successful Response

BeatSheetTemplateResponse

Single template response.

object
status
required
Status

Operation status

string
data
required
BeatSheetTemplate

The template

object
id
required
Id

Template UUID

string
projectId
Any of:
string
name
required
Name

Template name

string
description
Description

Template description

string
""
source
Source

Attribution (e.g. ‘Blake Snyder’)

string
""
createdAt
required
Createdat

Created timestamp (ms)

integer
modifiedAt
required
Modifiedat

Modified timestamp (ms)

integer

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object